## ros-one-cras-bag-tools 2.5.1-41jammy.20251023.1259

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(cras_bag_tools)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

catkin_install_python(PROGRAMS
  scripts/extract_images
  scripts/filter_bag
  scripts/fix_msg_defs
  scripts/merge_bag
  scripts/size_per_topic
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)

  roslint_custom(catkin_lint "-W2" .)

  # Run roslint on Python sources
  file(GLOB_RECURSE python_files scripts/* src/*.py)
  roslint_python("${python_files}")

  roslint_add_test()
endif()

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
ros-one-cras-bag-tools (2.5.1-41jammy.20251023.1259) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 12:59:03 +0000

ros-one-cras-bag-tools (2.5.1-0jammy) jammy; urgency=high

  * Fixed running on Jetsons.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 18 Feb 2025 00:00:00 -0000

ros-one-cras-bag-tools (2.5.0-0jammy) jammy; urgency=high

  * filter_bag: Split into a reusable module, added more filters and example configs.
  * topic_set: Support iteration over TopicSet.
  * extract_images: Support global speedup setting.
  * filter_bag: Refactor.
  * filter_bag: Rewritten to use image_transport_codecs
  * Added extract_images
  * Added filter_bag
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-cras-bag-tools (2.4.8-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jan 2025 00:00:00 -0000

ros-one-cras-bag-tools (2.4.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.6-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.5-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 02 Nov 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.4-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 05 Sep 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.0-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.3.9-0jammy) jammy; urgency=high

  * Removed catkin_lint buildfarm hacks.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 27 Feb 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.3.8-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 Jan 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.3.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.3.6-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.3.5-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 21 Nov 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.3.4-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Oct 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.3.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.3.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.3.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Jul 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.3.0-0jammy) jammy; urgency=high

  * Increased minimum CMake version to 3.10.2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Jul 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.2.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.2.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.2.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.2.0-0jammy) jammy; urgency=high

  * Updated build files
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 09 Apr 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.1.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 10 Feb 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.1.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.1.0-0jammy) jammy; urgency=high

  * Move merge_bag higher in readme.
  * Added size_per_topic.
  * Improved structure, added merge_bag.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.0.10-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.9-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.8-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.6-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.5-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 23 Oct 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.4-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 14 Oct 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 07 Oct 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 29 Aug 2022 00:00:00 -0000

=== debian/control ===
Source: ros-one-cras-bag-tools
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin
Homepage: https://wiki.ros.org/cras_bag_tools
Standards-Version: 3.9.2

Package: ros-one-cras-bag-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-imageio, python3-lxml, python3-marisa, python3-matplotlib, python3-numpy, python3-opencv, python3-pil, python3-skimage, python3-tqdm, ros-one-camera-calibration-parsers, ros-one-cras-py-common, ros-one-cv-bridge, ros-one-genpy, ros-one-geometry-msgs, ros-one-image-transport-codecs, ros-one-kdl-parser-py, ros-one-ros-numpy, ros-one-rosbag, ros-one-roslib, ros-one-rospy, ros-one-sensor-msgs, ros-one-tf2-msgs, ros-one-tf2-py, ros-one-urdfdom-py, ros-one-vision-msgs
Description: Various utilities to work with bag files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-cras-bag-tools//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-cras-bag-tools 2.5.1-41noble.20251023.1446

=== debian/changelog ===
ros-one-cras-bag-tools (2.5.1-41noble.20251023.1446) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 14:46:00 +0000

ros-one-cras-bag-tools (2.5.1-0noble) noble; urgency=high

  * Fixed running on Jetsons.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 18 Feb 2025 00:00:00 -0000

ros-one-cras-bag-tools (2.5.0-0noble) noble; urgency=high

  * filter_bag: Split into a reusable module, added more filters and example configs.
  * topic_set: Support iteration over TopicSet.
  * extract_images: Support global speedup setting.
  * filter_bag: Refactor.
  * filter_bag: Rewritten to use image_transport_codecs
  * Added extract_images
  * Added filter_bag
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-cras-bag-tools (2.4.8-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jan 2025 00:00:00 -0000

ros-one-cras-bag-tools (2.4.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.6-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.5-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 02 Nov 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.4-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 05 Sep 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.4.0-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.3.9-0noble) noble; urgency=high

  * Removed catkin_lint buildfarm hacks.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 27 Feb 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.3.8-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 Jan 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.3.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.3.6-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-bag-tools (2.3.5-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 21 Nov 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.3.4-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Oct 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.3.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.3.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.3.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Jul 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.3.0-0noble) noble; urgency=high

  * Increased minimum CMake version to 3.10.2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Jul 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.2.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.2.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.2.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.2.0-0noble) noble; urgency=high

  * Updated build files
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 09 Apr 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.1.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 10 Feb 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.1.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.1.0-0noble) noble; urgency=high

  * Move merge_bag higher in readme.
  * Added size_per_topic.
  * Improved structure, added merge_bag.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-bag-tools (2.0.10-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.9-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.8-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.6-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.5-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 23 Oct 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.4-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 14 Oct 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 07 Oct 2022 00:00:00 -0000

ros-one-cras-bag-tools (2.0.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 29 Aug 2022 00:00:00 -0000

## ros-one-cras-bag-tools 2.5.1-89jammy.20251215.2203

=== debian/changelog ===
ros-one-cras-bag-tools (2.5.1-89jammy.20251215.2203) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 22:03:43 +0000

## ros-one-cras-bag-tools 2.5.1-89noble.20251215.2202

=== debian/changelog ===
ros-one-cras-bag-tools (2.5.1-89noble.20251215.2202) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 22:02:26 +0000

## ros-one-cras-bag-tools 2.5.1-125jammy.20260119.2122

=== debian/changelog ===
ros-one-cras-bag-tools (2.5.1-125jammy.20260119.2122) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 21:22:18 +0000

## ros-one-cras-bag-tools 2.5.1-125noble.20260119.2122

=== debian/changelog ===
ros-one-cras-bag-tools (2.5.1-125noble.20260119.2122) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 21:22:32 +0000

## ros-one-cras-bag-tools 2.5.1-132jammy.20260128.2134

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 catkin_install_python(PROGRAMS
   scripts/extract_images
+  scripts/extract_pcd
   scripts/filter_bag
   scripts/fix_msg_defs
   scripts/merge_bag

=== debian/changelog ===
ros-one-cras-bag-tools (2.5.1-132jammy.20260128.2134) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:34:51 +0000

=== debian/control ===
Source: ros-one-cras-bag-tools
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin
Homepage: https://wiki.ros.org/cras_bag_tools
Standards-Version: 3.9.2

Package: ros-one-cras-bag-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-imageio, python3-lxml, python3-marisa, python3-matplotlib, python3-numpy, python3-opencv, python3-pil, python3-skimage, python3-tqdm, ros-one-angles, ros-one-camera-calibration-parsers, ros-one-cras-py-common, ros-one-cv-bridge, ros-one-genpy, ros-one-geometry-msgs, ros-one-image-transport-codecs, ros-one-kdl-parser-py, ros-one-nav-msgs, ros-one-ros-numpy, ros-one-rosbag, ros-one-roslib, ros-one-rospy, ros-one-sensor-msgs, ros-one-tf2-msgs, ros-one-tf2-py, ros-one-urdfdom-py, ros-one-vision-msgs
Description: Various utilities to work with bag files

## ros-one-cras-bag-tools 2.5.1-132noble.20260128.2140

=== debian/changelog ===
ros-one-cras-bag-tools (2.5.1-132noble.20260128.2140) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:40:47 +0000

## ros-one-cras-bag-tools 2.5.1-140jammy.20260213.2141

=== debian/changelog ===
ros-one-cras-bag-tools (2.5.1-140jammy.20260213.2141) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 13 Feb 2026 21:41:43 +0000

## ros-one-cras-bag-tools 2.5.1-140noble.20260213.2148

=== debian/changelog ===
ros-one-cras-bag-tools (2.5.1-140noble.20260213.2148) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 13 Feb 2026 21:48:05 +0000
